%define upstream_name	 Module-CoreList
%define upstream_version 5.20160429

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tell what modules shipped with versions of perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
Module::CoreList contains data about what perl modules are shipped
with given versions of perl (and their versions). It comes also with a
command-line utility, corelist, to retrieve this information easily.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 5.201.604.290-1.mga6
+ Revision: 1010676
- update to 5.20160429

* Fri Apr 15 2016 shlomif <shlomif> 5.201.603.200-1.mga6
+ Revision: 1002139
- update to 5.20160320

* Fri Feb 19 2016 umeabot <umeabot> 5.201.509.200-2.mga6
+ Revision: 970013
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 5.201.509.200-1.mga6
+ Revision: 884695
- update to 5.20150920

* Sun Aug 23 2015 sander85 <sander85> 5.201.508.200-1.mga6
+ Revision: 868506
- update to 5.20150820

* Thu Jul 23 2015 sander85 <sander85> 5.201.507.200-1.mga6
+ Revision: 856447
- update to 5.20150720

* Sun Jul 05 2015 sander85 <sander85> 5.201.506.200-1.mga6
+ Revision: 851426
- update to 5.20150620

* Wed Oct 15 2014 umeabot <umeabot> 5.21.3-3.mga5
+ Revision: 749438
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.21.3-2.mga5
+ Revision: 685420
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 5.21.3-1.mga5
+ Revision: 666433
- update to 5.021003

* Mon Jul 21 2014 sander85 <sander85> 5.21.2-1.mga5
+ Revision: 655112
- update to 5.021002

* Sat Jun 21 2014 sander85 <sander85> 5.21.1-1.mga5
+ Revision: 638377
- update to 5.021001

* Tue May 27 2014 sander85 <sander85> 3.110.0-1.mga5
+ Revision: 627049
- update to 3.11

* Fri Apr 25 2014 jquelin <jquelin> 3.100.0-1.mga5
+ Revision: 617757
- update to 3.10

* Tue Mar 25 2014 jquelin <jquelin> 3.90.0-1.mga5
+ Revision: 608282
- update to 3.09

* Tue Feb 25 2014 jquelin <jquelin> 3.70.0-1.mga5
+ Revision: 596799
- update to 3.07

* Mon Feb 10 2014 jquelin <jquelin> 3.40.0-1.mga5
+ Revision: 587979
- update to 3.04

* Mon Oct 21 2013 umeabot <umeabot> 2.990.0-2.mga4
+ Revision: 537311
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.990.0-1.mga4
+ Revision: 486795
- update to 2.99

* Tue Aug 20 2013 sander85 <sander85> 2.970.0-1.mga4
+ Revision: 468457
- update to 2.97

* Mon Aug 12 2013 sander85 <sander85> 2.960.0-1.mga4
+ Revision: 465928
- update to 2.96

* Mon Jul 22 2013 sander85 <sander85> 2.940.0-1.mga4
+ Revision: 457224
- update to 2.94

* Tue Jul 09 2013 jquelin <jquelin> 2.920.0-1.mga4
+ Revision: 451911
- update to 2.92

* Mon Jun 03 2013 jquelin <jquelin> 2.910.0-1.mga4
+ Revision: 436452
- update to 2.91

* Wed Mar 27 2013 jquelin <jquelin> 2.790.0-3.mga3
+ Revision: 405509
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.790.0-2.mga3
+ Revision: 369788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.790.0-1.mga3
+ Revision: 341872
- update to 2.79

* Wed Nov 14 2012 jquelin <jquelin> 2.770.0-1.mga3
+ Revision: 317599
- update to 2.77

* Sun Oct 21 2012 jquelin <jquelin> 2.750.0-1.mga3
+ Revision: 308912
- update to 2.75

* Mon Oct 15 2012 jquelin <jquelin> 2.740.0-1.mga3
+ Revision: 306049
- update to 2.74

* Wed Sep 26 2012 jquelin <jquelin> 2.730.0-1.mga3
+ Revision: 297939
- update to 2.73

* Mon Aug 27 2012 jquelin <jquelin> 2.720.0-1.mga3
+ Revision: 284592
- update to 2.72

* Mon Jul 02 2012 jquelin <jquelin> 2.680.0-1.mga3
+ Revision: 266664
- update to 2.68

* Thu May 31 2012 jquelin <jquelin> 2.670.0-2.mga3
+ Revision: 252128
- fix %%files after rename
- fix script conflicts with perl

* Thu May 31 2012 blino <blino> 2.670.0-1.mga3
+ Revision: 251893
- update to 2.67

* Thu Feb 23 2012 jquelin <jquelin> 2.610.0-1.mga2
+ Revision: 213025
- update to 2.61

* Wed Jan 25 2012 jquelin <jquelin> 2.600.0-1.mga2
+ Revision: 200921
- update to 2.60

* Wed Jan 04 2012 jquelin <jquelin> 2.590.0-1.mga2
+ Revision: 190327
- update to 2.59

* Fri Dec 02 2011 kharec <kharec> 2.580.0-1.mga2
+ Revision: 175210
- update to 2.58

* Thu Nov 03 2011 jquelin <jquelin> 2.570.0-1.mga2
+ Revision: 162237
- update to 2.57

* Mon Sep 26 2011 jquelin <jquelin> 2.560.0-1.mga2
+ Revision: 148133
- update to 2.56
- update to 2.55
- update to 2.54

* Fri Jul 08 2011 jquelin <jquelin> 2.520.0-1.mga2
+ Revision: 120457
- update to 2.52

* Tue Jun 21 2011 jquelin <jquelin> 2.510.0-1.mga2
+ Revision: 111436
- update to 2.51

* Wed Jun 15 2011 jquelin <jquelin> 2.490.0-1.mga2
+ Revision: 107070
- update to 2.49

* Thu Mar 24 2011 jquelin <jquelin> 2.460.0-1.mga1
+ Revision: 76652
- update to 2.46

* Tue Feb 22 2011 jquelin <jquelin> 2.450.0-1.mga1
+ Revision: 56637
- update to 2.45

* Wed Feb 16 2011 jquelin <jquelin> 2.440.0-1.mga1
+ Revision: 52349
- update to 2.44

* Wed Jan 19 2011 jquelin <jquelin> 2.420.0-1.mga1
+ Revision: 24247
- fix specs
- imported package perl-Module-CoreList

